跳到主要内容

Submit Pull Request Comments

POST 

/api/v5/repos/:owner/:repo/pulls/:number/comments

Request​

Path Parameters

    owner stringrequired

    Repository space address (organization or individual's address path)

    repo stringrequired

    Repository path (path)

    number integerrequired

    The ordinal number of the PR in this repository, i.e., which PR it is.

    Example: 0

Query Parameters

    access_token stringrequired

    User authorization code

Body

    bodystringrequired

    comment content

    pathstring

    Relative path of the file

    positioninteger

    Number of code lines

    position_typestring

    "binary": File-level comment, "text": line-level comment. Default is "text", when "binary" is passed, position no longer takes effect.

Responses​

Successful Response

Response Headers
    Schema
      idstring
      bodystring